Package org.eclipse.cdt.utils.pty

# Class ConPTYKernel32.STARTUPINFOEX

java.lang.Object
com.sun.jna.Structure
org.eclipse.cdt.utils.pty.ConPTYKernel32.STARTUPINFOEX

Enclosing interface:
  `ConPTYKernel32`

@FieldOrder({"StartupInfo","lpAttributeList"}) public static class ConPTYKernel32.STARTUPINFOEX extends com.sun.jna.Structure

## Nested Class Summary

## Nested classes/interfaces inherited from class com.sun.jna.Structure

`com.sun.jna.Structure.ByReference, com.sun.jna.Structure.ByValue, com.sun.jna.Structure.FieldOrder, com.sun.jna.Structure.StructField`

## Field Summary

Fields
Modifier and Type
Field
Description
`com.sun.jna.Pointer`
`lpAttributeList`
`com.sun.jna.platform.win32.WinBase.STARTUPINFO`
`StartupInfo`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

## Constructor Summary

Constructors
Constructor
Description
`STARTUPINFOEX()`

## Method Summary

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### StartupInfo

public com.sun.jna.platform.win32.WinBase.STARTUPINFO StartupInfo

### lpAttributeList

public com.sun.jna.Pointer lpAttributeList

## Constructor Details

### STARTUPINFOEX

public STARTUPINFOEX()